import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { SEOService } from '../_services/seo.service';
import { ReviewsComponent } from '../reviews/reviews.component';
import { RequestComponent } from '../request/request.component';
import { ImgCaruselComponent } from '../img-carusel/img-carusel.component';

@Component({
  selector: 'development',
  standalone: true,
  imports: [ReviewsComponent, RequestComponent, ImgCaruselComponent],
  templateUrl: './development.component.html',
  styleUrls: ['./development.component.scss']
})
export class DevelopmentComponent {
  
  constructor(
    private router:Router, private seo:SEOService
  ){}

  ngOnInit(){
    this.seo.updateTitle('Разработка программного обеспечения (ПО) на заказ');
    this.seo.updateDescription('Разработка ПО любой сложности под любые задачи. Помогаем автоматизировать бизнес-процессы, избавляем от рутинных задач, находим новые решения.');
    this.seo.updateImage('assets/img/development.jpg')
  }
  
  anchorRouting(anchor:string){   
      this.router.navigate([`/development`],{ fragment: anchor })
  }

  images = [
    'assets/img/carusel/carusel-10.jpg',
    'assets/img/carusel/carusel-11.jpg',
    'assets/img/carusel/carusel-12.jpg',
    'assets/img/carusel/carusel-13.jpg',
  ]
}
